"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilePath = void 0;
const Path = __importStar(require("path"));
const rustic_1 = require("rustic");
const future_1 = require("./future");
const ensurePathIsReadable = (fs, path) => {
    return future_1.Future.equip(fs.canRead(path))
        .mapErr((e) => JSON.stringify(e))
        .andThenResult((canRead) => canRead
        ? (0, rustic_1.Ok)(path)
        : (0, rustic_1.Err)(`${path} is not readable by the current process.`));
};
const ensureStatsIsDirectory = (stats, path) => {
    return stats.isDirectory() ? (0, rustic_1.Ok)(path) : (0, rustic_1.Err)(`${path} is not a directory.`);
};
const ensureStatsIsFile = (stats, path) => {
    return stats.isFile() ? (0, rustic_1.Ok)(path) : (0, rustic_1.Err)(`${path} is not a regular file.`);
};
class FilePath {
    constructor(path) {
        this.path = path;
    }
    isReadableDirectory(fileSystem) {
        return future_1.Future.equip(fileSystem.stat(this.path))
            .andThenResult((stats) => ensureStatsIsDirectory(stats, this.path))
            .andThenFuture((path) => ensurePathIsReadable(fileSystem, path))
            .map((path) => new FilePath(path))
            .inner;
    }
    isReadableFile(fileSystem) {
        return future_1.Future.equip(fileSystem.stat(this.path))
            .andThenResult((stats) => ensureStatsIsFile(stats, this.path))
            .andThenFuture((path) => ensurePathIsReadable(fileSystem, path))
            .map((path) => new FilePath(path))
            .inner;
    }
    join(addendum) {
        return new FilePath(Path.join(this.path, addendum));
    }
    toString() {
        return this.path;
    }
}
exports.FilePath = FilePath;
//# sourceMappingURL=file-path.js.map