"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = __importDefault(require("ava"));
const rustic_1 = require("rustic");
const FrontMatter = __importStar(require("./front-matter"));
const testSchema = {
    type: 'object',
    properties: {
        foo: { type: 'string' },
    },
    required: ['foo'],
};
const testSource = `
  <!--[BT]
  {
    "name": "A Test",
    "schema": ${JSON.stringify(testSchema)},
    "subject": "This is only a test"
  }
  -->
  <mjml>
    <mj-body>
      <mj-text>This is a test</mj-text>
    </mj-body>
  </mjml>
`;
(0, ava_1.default)('extract returns raw front matter', (t) => {
    const expected = `{
    "name": "A Test",
    "schema": ${JSON.stringify(testSchema)},
    "subject": "This is only a test"
  }`;
    (0, rustic_1.equip)(FrontMatter.extract(testSource))
        .map((actual) => t.is(actual, expected))
        .mapErr((err) => t.fail(err));
});
(0, ava_1.default)('parse returns fully parsed front matter', (t) => {
    (0, rustic_1.equip)(FrontMatter.extract(testSource))
        .andThen((input) => FrontMatter.parse(input))
        .map((actual) => {
        t.is(actual.name, 'A Test');
        const actualSchema = actual.schema;
        t.is(actualSchema.type, 'object');
        t.is(actualSchema.properties.foo.type, 'string');
        t.deepEqual(actualSchema.required, ['foo']);
        t.is(actual.subject, 'This is only a test');
    })
        .mapErr((err) => t.fail(err));
});
//# sourceMappingURL=front-matter.spec.js.map