import { Result, ResultOk, ResultErr } from './types';
/**
 * Generates an Ok Result<T, E>
 */
export declare function Ok<T, E>(data: T): Result<T, E>;
/**
 * Generates an Err Result<T, E>
 */
export declare function Err<T, E>(data: E): Result<T, E>;
/**
 * Helps to determine if a result is Ok
 */
export declare function isOk<T, E>(result: Result<T, E>): result is ResultOk<T>;
/**
 * Helps to determine if a result is Err
 */
export declare function isErr<T, E>(result: Result<T, E>): result is ResultErr<E>;
//# sourceMappingURL=helpers.d.ts.map